GOCODE(1)

NAME
gocode - autocompletion daemon for the Go programming language

SYNOPSIS
gocode [-s][-f=<format>][-in=<path>][-sock=<type>][-addr=<addr>]
       <command> [<args>]

DESCRIPTION
This manual page documents briefly the gocode command.

gocode is an autocompletion daemon for the Go programming language. It is intended to be integraded with a source code editor, such as Emacs or Vim.

OPTIONS

-addr="localhost:37373"
    Address for tcp socket

-f="nice"
    Output format (vim | emacs | nice | csv | json)

-in=""
    Use this file instead of stdin input

-s=false
    Run a server instead of a client

-sock="unix"
    socket type (unix | tcp)

COMMANDS

autocomplete [<path>] <offset>
    main autocompletion command

close
    close the gocode daemon

status
    gocode daemon status report

drop-cache
    drop gocode daemon's cache

set [<name> [<value>]]
    list or set config options

AUTHOR
This manual page was written by Hilko Bengen <bengen@debian.org>, for the Debian project (and may be used by others).